Bug 190251 - crash when processing queue
crash when processing queue
Product: Fedora
Classification: Fedora
Component: yumex (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Lauridsen
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-04-29 05:57 EDT by Andy Burns
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-04-30 01:28:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Andy Burns 2006-04-29 05:57:23 EDT
Description of problem:

I have the usual FC5 plus livna enabled  byu default, and atrpms disabled, so I
enable atrpms very selectively when I want a packgage rom there, in this case
mythv, so enabled atrpms, slected minimal components, dependencioes solved
included 2 from core and 2 from atrpms, went to proceed with install but got a
crash instead

Version-Release number of selected component (if applicable):
Version: 0.99.17

How reproducible:
Don't know yet, posting this bug whiile error still on screen

Actual results:

Summary: TB8943a90d yumexBase.py:692:download_packages:TypeError: cannot
concatenate 'str' and 'classobj' objects

Traceback (most recent call last):
  File "/usr/share/yumex/yumexmain.py", line 128, in on_queueProcess_clicked
    if self.action.process_package_queue( pkgs, doAll):
  File "/usr/lib/python2.4/site-packages/yumex/yumexBase.py", line 1053, in
    if not self.process_packages():
  File "/usr/lib/python2.4/site-packages/yumex/yumexBase.py", line 1248, in
    if not self.yumexbase.process_transaction():
  File "/usr/lib/python2.4/site-packages/yumex/yumexBase.py", line 631, in
  File "/usr/lib/python2.4/site-packages/yumex/yumexBase.py", line 692, in
    errstring += err
TypeError: cannot concatenate 'str' and 'classobj' objects

Local variables in innermost frame:
err: yum.Errors.YumBaseError
self: <yumex.yumexBase.yumexBase object at 0xb79220cc>
problems: {}
downloadpkgs: [<yum.sqlitesack.YumAvailablePackageSqlite instance at
0xb3092cac>, <yum.sqlitesack.YumAvailablePackageSqlite instance at 0xb14bedac>,
<yum.sqlitesack.YumAvailablePackageSqlite instance at 0xb1576e8c>,
<yum.sqlitesack.YumAvailablePackageSqlite instance at 0xb1691aac>,
<yum.sqlitesack.YumAvailablePackageSqlite instance at 0xb2e6972c>,
<yum.sqlitesack.YumAvailablePackageSqlite instance at 0xc838bcc>]
txmbr: mythtv-themes.i386 0-0.19-126.rhfc5.at - u
errstring: Error checking package signatures:

po: mythtv-themes - 0.19-126.rhfc5.at.i386
Comment 1 Andy Burns 2006-04-29 06:12:52 EDT
Yes it's reproducible

start yumex, it refreshes from my default repos
enable atrpm repo, refresh again
select install mythtv-frontend, add to queue
process queue, deps resolved, click ok to install
bang! as reported above

I presume this is a bug in a recent yumex update, I have installed the above
packages on another box a few weeks ago without hitting this issue.
Comment 2 Tim Lauridsen 2006-04-30 01:28:09 EDT
There is a bug i yumex 0.99.17, it will be fixed in the next release.

Note You need to log in before you can comment on or make changes to this bug.